
var tooltip = {
	
	init: function() {
		
		var $obj = $(".tooltip");

		if (!$obj.length) return;
		$("body").append('<div id="tooltip" />');
		var tooltip = $("#tooltip");
		var title;
		$obj.hover(function(e) {
			title = $(this).attr("title")  ? $(this).attr("title") : "No Title";
			$(this).attr("title","");
			tooltip.html(title);
			tooltip.css({
				top:e.pageY + 10,
				left:e.pageX + 10
			});
			tooltip.stop(true,true).delay(50).fadeIn("slow");
		},function() {
			$(this).attr("title",title);
			tooltip.stop(true,true).fadeOut("slow");
		});
	}
}

$(document).ready(tooltip.init);

